# Uses of Interface
org.eclipse.net4j.util.security.IPasswordCredentials

Packages that use IPasswordCredentials
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.
org.eclipse.net4j.util.ui.security
Credentials dialogs.

## Uses of IPasswordCredentials in org.eclipse.net4j.util.security

Subinterfaces of IPasswordCredentials in org.eclipse.net4j.util.security
Modifier and Type
Interface
Description
`interface`
`IPasswordCredentialsUpdate`
Password credentials with an update (new password) in addition to the usual user ID and password for authentication of the password change.
Classes in org.eclipse.net4j.util.security that implement IPasswordCredentials
Modifier and Type
Class
Description
`class`
`PasswordCredentials`
`class`
`PasswordCredentialsUpdate`
Default implementation of the `IPasswordCredentialsUpdate` interface.
Methods in org.eclipse.net4j.util.security that return IPasswordCredentials
Modifier and Type
Method
Description
`IPasswordCredentials`
IPasswordCredentialsProvider.`getCredentials()`
`IPasswordCredentials`
IPasswordCredentialsProvider2.`getCredentials(String realm)`
`IPasswordCredentials`
PasswordCredentialsProvider.Delegating.`getCredentials()`
`IPasswordCredentials`
PasswordCredentialsProvider.`getCredentials()`
Methods in org.eclipse.net4j.util.security with parameters of type IPasswordCredentials
Modifier and Type
Method
Description
`void`
PasswordCredentialsProvider.`setCredentials(IPasswordCredentials credentials)`
Constructors in org.eclipse.net4j.util.security with parameters of type IPasswordCredentials
Modifier
Constructor
Description
``
`PasswordCredentialsProvider(IPasswordCredentials credentials)`

## Uses of IPasswordCredentials in org.eclipse.net4j.util.ui.security

Methods in org.eclipse.net4j.util.ui.security that return IPasswordCredentials
Modifier and Type
Method
Description
`protected IPasswordCredentials`
CredentialsDialog.`createCredentials(String userID, char[] password)`
`protected IPasswordCredentials`
CredentialsResetDialog.`createCredentials(String userID, char[] password)`
`protected IPasswordCredentials`
CredentialsUpdateDialog.`createCredentials(String userID, char[] password)`
`IPasswordCredentials`
CredentialsDialog.`getCredentials()`
`IPasswordCredentials`
InteractiveCredentialsProvider.`getCredentials()`
`IPasswordCredentials`
InteractiveCredentialsProvider.`getCredentials(String realm)`